| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Lib::ICharacterBuffer Interface Reference

Interface for all implementations of read-write character buffer. Classes that implement this interface are used e.g. in string parsing and output data formatters. More...

Inheritance diagram for IG::Lib::ICharacterBuffer:
[legend]
Collaboration diagram for IG::Lib::ICharacterBuffer:
[legend]

List of all members.

## Public Member Functions
void | Delete (int startIndex, int length)
| Removes the specified section of the buffer.
void | Append (string str)
| Appends the specified string at the end of the buffer.
void | Append (char ch)
| Appends the specified character at the end of the buffer.
void | Append (char[] chArray)
| Appends the specified array of characters at the end of the buffer.
void | Append (List< char > chList)
| Inserts the specified list of characters at the end of the buffer.
void | Insert (int index, string str)
| Inserts the specified string at the specified position of the buffer.
void | Insert (int index, char ch)
| Inserts the specified character at the specified position of the buffer.
void | Insert (int index, char[] chArray)
| Inserts the specified array of characters at the specified position of the buffer.
void | Insert (int index, List< char > chList)
| Inserts the specified list of characters at the specified position of the buffer.
## Properties
new char | this [int index]`[get, set]`
| Character with the specified index.

## Detailed Description

Interface for all implementations of read-write character buffer. Classes that implement this interface are used e.g. in string parsing and output data formatters.

$A Igor Feb09;

## Member Function Documentation

void IG::Lib::ICharacterBuffer::Delete | ( | int | startIndex,
|  | int | length
| ) |  |

Removes the specified section of the buffer.

Parameters:

  startIndex | The first index of the removed text.
  length | Length of the removed section (number of characters removed).

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Append | ( | string | str | ) |

Appends the specified string at the end of the buffer.

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Append | ( | char | ch | ) |

Appends the specified character at the end of the buffer.

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Append | ( | char[] | chArray | ) |

Appends the specified array of characters at the end of the buffer.

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Append | ( | List< char > | chList | ) |

Inserts the specified list of characters at the end of the buffer.

Parameters:

  chList |

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Insert | ( | int | index,
|  | string | str
| ) |  |

Inserts the specified string at the specified position of the buffer.

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Insert | ( | int | index,
|  | char | ch
| ) |  |

Inserts the specified character at the specified position of the buffer.

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Insert | ( | int | index,
|  | char[] | chArray
| ) |  |

Inserts the specified array of characters at the specified position of the buffer.

Implemented in IG::Lib::CharacterBuffer.

void IG::Lib::ICharacterBuffer::Insert | ( | int | index,
|  | List< char > | chList
| ) |  |

Inserts the specified list of characters at the specified position of the buffer.

Implemented in IG::Lib::CharacterBuffer.

## Property Documentation

new char IG::Lib::ICharacterBuffer::this[int index]`[get, set]`

Character with the specified index.

Implements IG::Lib::ICharacterBufferReadOnly.

Implemented in IG::Lib::CharacterBuffer.

The documentation for this interface was generated from the following file:

- StringParserBuffer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events